All Floors Safety is an Enter The Gungeon mod designed to mitigate common run-ending circumstances when attempting an All Floors run. The concept for this mod originated from [DanTheVP](https://www.twitch.tv/danthevp) and members of his [Discord](https://discord.gg/NKqMfvQA).

## Features
* Water Drums in Keep of the Lead Lord (Floor 1) no longer break unless rolling into the fireplace.
* Old Crest now spawns on the Round Table in the Shop in Gungeon Proper (Floor 2).
    * Has a cost of zero and can only be picked up if you currently do not already have an Old Crest.
* Gnawed Key in the Shop in Gungeon Proper (Floor 2) can always be purchased, regardless if you can afford it or not.
    * If you cannot afford it, you will have negative casings.
* There will always be two Blanks spawned on the Round Table in the Shop in Black Powder Mine (Floor 3).
* All characters spawn with a new passive item, the Safety Round.
    * The Safety Round acts like a Master Round, but does not give an additional heart.
    * Like Master Rounds, if in your possession when entering The Hollow (Floor 4) you will always spawn the Sell Creep.
    * Like Master Rounds, you can sell the Safety Round to The Hollow (Floor 4) Sell Creep as part of the requirement to reach the R&G Dept.

## Compatibility Disclaimer
This mod may not be compatible with certain mods. Since this mod alters vanilla functionality there are several places where a non-invasive change was not possible. If you're interested in knowing where these invasive changes were made you can find them within the Hooks folder of the mod source code.

## Source Code:
[ETG All Floors Safety Mod](https://gitlab.com/ToryHarter/etg-all-floors-safety-mod)

This mod utilizes [Kyle The Scientist's ItemAPI](https://modworkshop.net/user/52644).

## Special Thanks

Huge thanks to [SpecialAPI](https://thunderstore.io/c/enter-the-gungeon/p/SpecialAPI/) for converting the mod to work in Thunderstore!

[The Gungeon Discord](https://discord.com/invite/etg)

[N0tAB0t](https://modworkshop.net/user/70530)

[Nevernamed](https://modworkshop.net/user/58122)

[An3s079](https://modworkshop.net/user/82713)

[Apache Thunder](https://modworkshop.net/user/54961)